import { ChangeDetectorRef, EventEmitter, OnChanges, QueryList, SimpleChanges } from "@angular/core";
import { FormGroup } from "@angular/forms";
import { MatAutocomplete, MatCheckbox, MatDatepicker, MatFormField, MatInput, MatRadioGroup, MatSelect, MatSlider, MatSlideToggle } from "@angular/material";
import { DynamicFormValidationService, DynamicFormControlComponent, DynamicFormControlModel, DynamicFormArrayGroupModel, DynamicFormControlEvent, DynamicTemplateDirective } from "@ng-dynamic-forms/core";
import { MatFormControlType } from "./dynamic-material-form.const";
export declare type MatFormControlComponent = MatAutocomplete | MatCheckbox | MatDatepicker<Date> | MatFormField | MatRadioGroup | MatSelect | MatSlider | MatSlideToggle;
export declare class DynamicMaterialFormControlComponent extends DynamicFormControlComponent implements OnChanges {
    protected changeDetectorRef: ChangeDetectorRef;
    protected validationService: DynamicFormValidationService;
    private _showCharacterCount;
    contentTemplates: QueryList<DynamicTemplateDirective>;
    inputTemplates: QueryList<DynamicTemplateDirective>;
    bindId: boolean;
    context: DynamicFormArrayGroupModel | null;
    group: FormGroup;
    hasErrorMessaging: boolean;
    model: DynamicFormControlModel;
    showCharacterHint: boolean;
    blur: EventEmitter<DynamicFormControlEvent>;
    change: EventEmitter<DynamicFormControlEvent>;
    focus: EventEmitter<DynamicFormControlEvent>;
    matViewChild: MatFormControlComponent | undefined;
    matInput: MatInput | undefined;
    type: MatFormControlType | null;
    constructor(changeDetectorRef: ChangeDetectorRef, validationService: DynamicFormValidationService);
    ngOnChanges(changes: SimpleChanges): void;
    readonly characterCount: number | null;
    static getFormControlType(model: DynamicFormControlModel): MatFormControlType | null;
}
